/**
 * Copyright 2015 Michael Leahy / TyphonRT, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#version 100
// Direct texture fragment shader
precision highp float;
uniform sampler2D uSourceTex;
uniform sampler2D uDitherSourceTex;
varying vec2 vTextureCoord;



void main(void)
{

vec4 color = texture2D(uSourceTex,vTextureCoord);

    float strength = 40.0;
    float dimension = 5.0;
    float time = 2000.0;
    float x = (vTextureCoord.x + 4.0 ) * (vTextureCoord.y + 4.0 ) * (time * 10.0);
	vec4 grain = vec4(mod((mod(x, 13.0) + 1.0) * (mod(x, 123.0) + 1.0), 0.01)-0.005) * strength;
	grain = dimension - grain;
    gl_FragColor =  color * (grain/dimension);

}